ghc-9.6.3: The GHC API

Safe Haskell | Safe-Inferred
Language | Haskell2010

GHC.Utils.Ppr.Colour

Synopsis

- newtype PprColour = PprColour {
  - renderColour :: String
  }
- renderColourAfresh :: PprColour -> String
- colCustom :: String -> PprColour
- colReset :: PprColour
- colBold :: PprColour
- colBlackFg :: PprColour
- colRedFg :: PprColour
- colGreenFg :: PprColour
- colYellowFg :: PprColour
- colBlueFg :: PprColour
- colMagentaFg :: PprColour
- colCyanFg :: PprColour
- colWhiteFg :: PprColour
- data Scheme = Scheme {
  - sHeader :: PprColour
  - sMessage :: PprColour
  - sWarning :: PprColour
  - sError :: PprColour
  - sFatal :: PprColour
  - sMargin :: PprColour
  }
- defaultScheme :: Scheme
- parseScheme :: String -> (OverridingBool, Scheme) -> (OverridingBool, Scheme)

# Documentation

newtype PprColour Source #

A colour/style for use with `coloured`.

Constructors

PprColour |

Fields

- renderColour :: String

#### Instances

Instances details

Monoid PprColour Source # | Allow colours to be combined (e.g. bold + red); In case of conflict, right side takes precedence.
Instance details Defined in GHC.Utils.Ppr.Colour Methods mempty :: PprColour Source # mappend :: PprColour -> PprColour -> PprColour Source # mconcat :: [PprColour] -> PprColour Source #
Semigroup PprColour Source # |
Instance details Defined in GHC.Utils.Ppr.Colour Methods (<>) :: PprColour -> PprColour -> PprColour Source # sconcat :: NonEmpty PprColour -> PprColour Source # stimes :: Integral b => b -> PprColour -> PprColour Source #

renderColourAfresh :: PprColour -> String Source #

colCustom :: String -> PprColour Source #

colReset :: PprColour Source #

colBold :: PprColour Source #

colBlackFg :: PprColour Source #

colRedFg :: PprColour Source #

colGreenFg :: PprColour Source #

colYellowFg :: PprColour Source #

colBlueFg :: PprColour Source #

colMagentaFg :: PprColour Source #

colCyanFg :: PprColour Source #

colWhiteFg :: PprColour Source #

data Scheme Source #

Constructors

Scheme |

Fields

- sHeader :: PprColour
- sMessage :: PprColour
- sWarning :: PprColour
- sError :: PprColour
- sFatal :: PprColour
- sMargin :: PprColour

defaultScheme :: Scheme Source #

parseScheme :: String -> (OverridingBool, Scheme) -> (OverridingBool, Scheme) Source #

Parse the colour scheme from a string (presumably from the `GHC_COLORS` environment variable).